Oracle Linux 6 : firefox (ELSA-2018-1414)

High Nessus Plugin ID 109809

Synopsis

The remote Oracle Linux host is missing a security update.

Description

From Red Hat Security Advisory 2018:1414 :

An update for firefox is now available for Red Hat Enterprise Linux 6.

Red Hat Product Security has rated this update as having a security impact of Critical. A Common Vulnerability Scoring System (CVSS) base score, which gives a detailed severity rating, is available for each vulnerability from the CVE link(s) in the References section.

Mozilla Firefox is an open source web browser, designed for standards compliance, performance, and portability.

This update upgrades Firefox to version 52.8.0 ESR.

Security Fix(es) :

* Mozilla: Memory safety bugs fixed in Firefox 60 and Firefox ESR 52.8 (CVE-2018-5150)

* Mozilla: Backport critical security fixes in Skia (CVE-2018-5183)

* Mozilla: Use-after-free with SVG animations and clip paths (CVE-2018-5154)

* Mozilla: Use-after-free with SVG animations and text paths (CVE-2018-5155)

* Mozilla: Same-origin bypass of PDF Viewer to view protected PDF files (CVE-2018-5157)

* Mozilla: Malicious PDF can inject JavaScript into PDF Viewer (CVE-2018-5158)

* Mozilla: Integer overflow and out-of-bounds write in Skia (CVE-2018-5159)

* Mozilla: Lightweight themes can be installed without user interaction (CVE-2018-5168)

* Mozilla: Buffer overflow during UTF-8 to Unicode string conversion through legacy extension (CVE-2018-5178)

For more details about the security issue(s), including the impact, a CVSS score, and other related information, refer to the CVE page(s) listed in the References section.

Red Hat would like to thank the Mozilla project for reporting these issues. Upstream acknowledges Christoph Diehl, Randell Jesup, Tyson Smith, Alex Gaynor, Ronald Crane, Julian Hector, Kannan Vijayan, Jason Kratzer, Mozilla Developers, Nils, Wladimir Palant, Ivan Fratric, and Root Object as the original reporters.

Solution

Update the affected firefox package.

See Also

https://oss.oracle.com/pipermail/el-errata/2018-May/007692.html

Plugin Details

Severity: High

ID: 109809

File Name: oraclelinux_ELSA-2018-1414.nasl

Version: 1.7

Type: local

Agent: unix

Published: 2018/05/15

Modified: 2018/08/06

Dependencies: 12634

Risk Information

Risk Factor: High

CVSSv2

Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: p-cpe:/a:oracle:linux:firefox, cpe:/o:oracle:linux:6

Required KB Items: Host/local_checks_enabled, Host/OracleLinux, Host/RedHat/release, Host/RedHat/rpm-list

Patch Publication Date: 2018/05/14

Reference Information

CVE: CVE-2018-5150, CVE-2018-5154, CVE-2018-5155, CVE-2018-5157, CVE-2018-5158, CVE-2018-5159, CVE-2018-5168, CVE-2018-5178, CVE-2018-5183

RHSA: 2018:1414